## coq-deriving 0.2.2

=== Makefile ===
# KNOWNTARGETS will not be passed along to CoqMakefile
KNOWNTARGETS := CoqMakefile
# KNOWNFILES will not get implicit targets from the final rule, and so depending on them won’t invoke the submake
# Warning: These files get declared as PHONY, so any targets depending on them always get rebuilt
KNOWNFILES := Makefile _CoqProject

.DEFAULT_GOAL := invoke-coqmakefile

CoqMakefile: Makefile _CoqProject
	$(COQBIN)coq_makefile -f _CoqProject -o CoqMakefile

invoke-coqmakefile: CoqMakefile
	$(MAKE) --no-print-directory -f CoqMakefile $(filter-out $(KNOWNTARGETS),$(MAKECMDGOALS))

.PHONY: invoke-coqmakefile $(KNOWNFILES)

# This should be the last rule, to handle any targets not declared above
%: invoke-coqmakefile
	@true

## coq-deriving 0.1.0

=== debian/changelog ===
coq-deriving (0.1.0-2) unstable; urgency=medium

  * Change b-dep from libcoq-ocaml-dev to libcoq-core-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jan 2023 12:49:02 +0100

coq-deriving (0.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1015010)

 -- Julien Puydt <jpuydt@debian.org>  Sat, 16 Jul 2022 09:42:20 +0200

=== debian/control ===
Source: coq-deriving
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               libcoq-mathcomp-ssreflect,
               libcoq-core-ocaml-dev,
               libcoq-stdlib
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-deriving
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-deriving.git
Homepage: https://github.com/arthuraa/deriving/

Package: libcoq-deriving
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Description: deriving MathComp classes from inductive types
 This package builds instances of MathComp classes with little
 boilerplate, mimicking Haskell's deriving facility.
 .
 MathComp is a mathematical library for Coq.
 .
 Coq is a proof assistant for higher-order logic.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with coq,ocaml

override_dh_auto_clean:
	@echo "Doesn't work as expected"

override_dh_auto_install:
	DESTDIR=debian/tmp make install

## coq-deriving 0.1.1

=== debian/changelog ===
coq-deriving (0.1.1-1build4) noble; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Dec 2023 07:19:46 -0500

coq-deriving (0.1.1-1build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Nov 2023 00:40:45 +0100

coq-deriving (0.1.1-1build2) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 20:13:06 +0100

coq-deriving (0.1.1-1build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Jul 2023 19:06:15 +0200

coq-deriving (0.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 14 Jun 2023 15:45:16 +0200

## coq-deriving 0.2.0

=== debian/changelog ===
coq-deriving (0.2.0-1build5) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:13:36 +0200

coq-deriving (0.2.0-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:53:05 +0000

coq-deriving (0.2.0-1build3) noble; urgency=medium

  * No-change rebuild for new libcoq-stdlib ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 00:12:44 +0000

coq-deriving (0.2.0-1build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:24:10 +0100

coq-deriving (0.2.0-1build1) noble; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 27 Jan 2024 19:47:53 -0500

coq-deriving (0.2.0-1) unstable; urgency=medium

  * Fix d/rules clean target (Closes: #1044870).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 22 Dec 2023 11:19:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: coq-deriving
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

## coq-deriving 0.2.1

=== debian/changelog ===
coq-deriving (0.2.1-1build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2025 07:58:17 +0100

coq-deriving (0.2.1-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 21:42:01 +0100

coq-deriving (0.2.1-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 22:41:21 +0100

coq-deriving (0.2.1-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:27:07 +0100

coq-deriving (0.2.1-1build1) plucky; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Dec 2024 08:41:39 -0500

coq-deriving (0.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 04 Dec 2024 14:30:14 +0100

coq-deriving (0.2.0-3) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2024 08:09:56 +0200

coq-deriving (0.2.0-2) unstable; urgency=medium

  * Bump version because of binary issues.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 24 Feb 2024 12:10:06 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with coq,ocaml

override_dh_auto_clean:
	make clean
	rm -f CoqMakefile CoqMakefile.conf
	find . -name "*.aux" -delete
	find . -name "*.glob" -delete

override_dh_auto_test:
	# doesn't work

override_dh_auto_install:
	DESTDIR=debian/tmp make install

=== debian/watch ===
version=4
https://github.com/arthuraa/deriving/tags .*/v?([\d\.-]+).tar.gz

## coq-deriving 0.2.2

=== debian/changelog ===
coq-deriving (0.2.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.2.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 30 Oct 2025 07:57:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: coq-deriving
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 include /usr/share/ocaml/ocamlvars.mk
+
+export DEB_BUILD_OPTIONS += noautodbgsym
 
 %:
 	dh $@ --with coq,ocaml
